﻿using System;

namespace MySqlInheritanceBug.Entities
{
    /// <summary>
    /// Animal class.
    /// </summary>
    public abstract class Animal
    {
        /// <summary>
        /// CTOR
        /// </summary>
        public Animal()
        { 
        }

        public int Id { get; set; }

        public string Name { get; set; }

        public string AnimalProperty1 { get; set; }

        public string AnimalProperty2 { get; set; }

        /// <summary>
        /// Returns a string that represents the current object.
        /// </summary>
        /// <returns>A string that represents the current object.</returns>
        public override string ToString()
        {
            return String.Format("{0} - {1} - {2}", Id, "Animal", Name);
        }
    }
}
